# EthicLens • Personenbilder in der Forschungspraxis

EthicLens ist ein interaktives Tool zur Bewertung der ethischen Nutzung von personenbezogenen Bildern in der Wissenschaftskommunikation. Es unterstützt Wissenschaftler:innen dabei, fundierte Entscheidungen über den Einsatz von Personenbildern zu treffen und dabei die Privatsphäre und Würde der abgebildeten Personen zu wahren.

## Überblick

Das Tool stellt Ihnen Fragen zu verschiedenen Aspekten der Bildnutzung in Ihrem Forschungskontext, darunter:
- Die Notwendigkeit des Bilderzeigens
- Die gezeigten Personen und der Publikationskontext
- Empfohlene Maßnahmen für ethisch verantwortungsvolles Handeln

Nach jeder Frage erhalten Sie eine Empfehlung, wie Sie im jeweiligen Kontext mit den Bildern umgehen sollten. Am Ende des Prozesses erhalten Sie eine zusammenfassende Übersicht aller Antworten und Empfehlungen, die nach Sensibilität farblich markiert sind.

EthicLens wurde begleitend zu dem folgenden Paper entwickelt:
- **Christ, K., Lobinger, K., Pfurtscheller, D., & Venema, R. (2024)**. Bildethik praktisch. Verantwortungsvoller Umgang mit personenbezogenem Bildmaterial in der Wissenschaftskommunikation. *Communicatio Socialis, 57*(4).

## Funktionen

- **Interaktive Entscheidungsfindung**: Schrittweise Fragen mit direkt umsetzbaren Empfehlungen.
- **Visuelle Markierungen**: Farbliche Hervorhebung der Empfehlungen basierend auf der Sensibilität der gezeigten Inhalte.
- **Zusammenfassung**: Am Ende erhalten Sie eine detaillierte Übersicht aller gegebenen Antworten und Empfehlungen.

## Demo

Besuchen Sie die [Live-Demo](https://ethiclens.github.io) auf GitHub Pages.

## Installation

Falls Sie das Projekt lokal ausführen möchten:

1. Klonen Sie das Repository:
   ```bash
   git clone https://github.com/ethiclens/ethiclens.github.io.git

2. Navigieren Sie in das Projektverzeichnis:

   ```bash
   cd ethiclens.github.io

  Öffnen Sie index.html in Ihrem bevorzugten Webbrowser.

## Lizenzierung

  Inhalte: Der Inhalt dieser Website ist unter der Creative Commons Attribution 4.0 International (CC BY 4.0) Lizenz verfügbar.
  
  Code: Der Quellcode ist unter der MIT-Lizenz lizenziert.

## Zitierung

Wenn Sie EthicLens in einer wissenschaftlichen Publikation verwenden möchten, zitieren Sie es bitte wie folgt:

Pfurtscheller, D., Christ, K., Lobinger, K. (2024). EthicLens. Interaktives Impact-Assessment-Tool für einen verantwortungsvollen Umgang mit personenbezogenem Bildmaterial in der Wissenschaftskommunikation. Online-Tool. https://ethiclens.github.io DOI: 10.xxxx/zenodo.xxxxxxx

